org.apache.maven.scm.provider.perforce.command.changelog

## Class PerforceDescribeConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.changelog.PerforceDescribeConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceDescribeConsumer
    extends AbstractConsumer

Parse the tagged output from "p4 describe -s [change] [change] [...]".

Version:
  $Id: PerforceDescribeConsumer.java 770320 2009-04-30 16:50:15Z olamy $
Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`PerforceDescribeConsumer(String repoPath, String userDatePattern, ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceDescribeConsumer

    public PerforceDescribeConsumer(String repoPath,
                            String userDatePattern,
                            ScmLogger logger)

### Method Detail

#### getModifications

    public List getModifications()
                          throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine(String line)